* {
  box-sizing: border-box;
}

body {
  margin: 0;

  font-family: Helvetica, sans-serif;
  text-decoration: none;
  color: rgb(12, 55, 225);
  background: hsla(0, 0%, 100%, 0.814);
}

a {
  color: rgb(12, 55, 225);
  font-family: Helvetica, sans-serif;
  text-decoration: none;
}

img {
  display: block;
}

.site-header {
  position: sticky;
  top: 0;
  background: white;
  z-index: 1000;

  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  width: 100%;
  padding: 12px;
  padding-bottom:0px;
}

.header-logo {
  float: right;
  height: 76px;

  width: auto;
}

/* Chrome / Safari */
::-webkit-scrollbar {
  display: none;
}

/* Firefox */
html {
  scrollbar-width: none;
}

/* IE/Edge */
body {
  -ms-overflow-style: none;
}

/* ---------- MAIN LAYOUT ---------- */

.site {
  display: flex;
  align-items: flex-start;
}

/* ---------- SIDEBAR ---------- */

.sidebar {

  top: 0;
  left: 0;

  width: 28vw;

  min-width: 240px;

  padding: 12px;

  overflow-y: scroll;

}

.sidebar img {
  width:100%;
  height: auto;
  margin-bottom: 56px;
}

.project-link {
  display: block;

  margin-bottom: 48px;
}

.project-link img {
  width: 100%;

  margin-bottom: 8px;
}

.project-link span {
  font-size: 13px;
}

.project-title {

  position: fixed;

  top: 150px;
  left: 12px;

  opacity: 0;

  pointer-events: none;

  transition: opacity .1s ease;
  font-family: Helvetica, sans-serif;
  text-decoration: none;
  color: rgb(255,255,255);
}

.project-link:hover .project-title {

  opacity: 1;
}

/* ---------- PREVIEW AREA ---------- */

.preview-area {

  position: fixed;

  left: 28vw;
  top: 60px;

  width: 72vw;
  height: 100vh;

  padding: 12px;

}

.scrollable-preview-area {
  top: 0;
  right: 0;

  width: 100vw;
  height: 100vh;

  padding: 12px;

}

.scrollable-preview-area img {

  width: 60%;

  height: auto;
}


.preview-group {

  position: absolute;

  inset: 20px;

  opacity: 0;

  transition: opacity 0.1s ease;

  pointer-events: none;

  display: flex;
  flex-wrap: wrap;

  align-items: flex-start;

  gap: 60px 40px;

  padding-top: 20px;
}

.preview-group.active {
  opacity: 1;
  pointer-events: auto;
}

.preview-group img {

  width: auto;

  height: auto;

  max-width: 28vw;

  max-height: 70vh;
}

/* ---------- PROJECT PAGE ---------- */


.project-text {
    padding-top: 20px;

}

.project-images {

  width: 72vw;

  padding: 12px;

  display: flex;
  flex-wrap: wrap;

  gap: 40px 20px;

  align-items: flex-start;
}


.project-images img {


  width: auto;

  height: auto;

  max-width: 28vw;

  max-height: 70vh;
}

/* ---------- MOBILE ---------- */

@media (max-width: 700px) {

  .site {
    display: block;
  }

  .project-title {
    display: none;
  }
  
  .project-link span {

    font-size: 18px;

    line-height: 1.4;
  }

  .project-link img {

    width: 100%;

    max-width: none;
  }

  .preview-area {
    display: none;
  }

  .sidebar {
    position: relative;

    width: 100%;

    left: auto;
    top: auto;
  }

  .header-logo {
    height: 82px;
  }

  .project-page {

    margin-left: 0;

    width: 100%;

    padding: 24px;
  }

  .preview-group {

    position: relative;

    inset: auto;

    opacity: 1;

    pointer-events: auto;

    display: none;
  }

  .preview-group.active {
    display: flex;
  }

  .project-images {
    width:100%;
  }

  .preview-group img,
  .project-images img {

    max-width: 100%;
  }

  .scrollable-preview-area img {

    width: 100%;

    height: auto;
  }

}